[project]
name = "pyme"
version = "0.1.0"
description = "Add your description here"
readme = "README.md"
requires-python = ">=3.12, <4"
dependencies = [
    "aiohttp>=3.11.16",
    "azure-storage",
    "fastapi>=0.115.6",
    "hvac>=2.3.0",
    "langchain-azure-ai[opentelemetry]>=0.1.4",
    "langfuse>=2.60.4",
    "langgraph>=0.5.3",
    "mongo-memory",
    "pydantic-settings>=2.8.1",
    "qdrant",
    "uvicorn>=0.34.0",
]

[tool.uv.sources]
banortegpt = { workspace = true }
azure-storage = { workspace = true }
qdrant = { workspace = true }
mongo-memory = { workspace = true }